name: nokken
description: "A medication tracking application"
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.2.3 <4.0.0'
  flutter: ">=3.16.3 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  mockito: ^5.4.0
  mocktail:
  build_runner: ^2.4.6
  flutter_riverpod: ^2.4.9
  flutter_local_notifications: ^18.0.1
  flutter_sticky_header: ^0.7.0
  path: ^1.8.3
  uuid: ^4.3.3
  intl: ^0.20.2
  timezone: 0.10.0
  cupertino_icons: ^1.0.2
  sqflite: ^2.3.0
  sqflite_common_ffi: ^2.3.2
  table_calendar: ^3.0.9
  fl_chart: ^0.65.0
  ffi: ^2.1.0
  path_provider: ^2.1.1


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  integration_test:
    sdk: flutter

flutter:
  assets:
    - assets/drugs/drugs.txt
  uses-material-design: true
  fonts:
    - family: Nunito
      fonts:
        - asset: assets/fonts/Nunito-Regular.ttf
          weight: 400
          style: normal
        - asset: assets/fonts/Nunito-Italic.ttf
          weight: 400
          style: italic
        - asset: assets/fonts/Nunito-Light.ttf
          weight: 300
          style: normal
        - asset: assets/fonts/Nunito-LightItalic.ttf
          weight: 300
          style: italic
        - asset: assets/fonts/Nunito-ExtraLight.ttf
          weight: 200
          style: normal
        - asset: assets/fonts/Nunito-ExtraLightItalic.ttf
          weight: 200
          style: italic
        - asset: assets/fonts/Nunito-Medium.ttf
          weight: 500
          style: normal
        - asset: assets/fonts/Nunito-SemiBold.ttf
          weight: 600
          style: normal
        - asset: assets/fonts/Nunito-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: assets/fonts/Nunito-Bold.ttf
          weight: 700
          style: normal
        - asset: assets/fonts/Nunito-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: assets/fonts/Nunito-ExtraBold.ttf
          weight: 800
          style: normal
        - asset: assets/fonts/Nunito-ExtraBoldItalic.ttf
          weight: 800
          style: italic
        - asset: assets/fonts/Nunito-Black.ttf
          weight: 900
          style: normal
        - asset: assets/fonts/Nunito-BlackItalic.ttf
          weight: 900
          style: italic